Rated 5 out of 5 stars

This is an excellent add on, unfortunately, it doesn't work with FF 3.5. An upgrade will surely appreciated.

This review is for a previous version of the add-on (2.0.63).